UbuntuUpdates.org

Package "cargo"

Name: cargo

Description:

Rust package manager

Latest version: 0.37.0-3ubuntu1~16.04.1
Release: xenial (16.04)
Level: updates
Repository: universe
Homepage: https://crates.io/

Links

Save this URL for the latest version of "cargo": https://www.ubuntuupdates.org/cargo


Download "cargo"


Other versions of "cargo" in Xenial

Repository Area Version
base universe 0.8.0-1
security universe 0.37.0-3ubuntu1~16.04.1
proposed universe 0.37.0-3ubuntu1~16.04.2
PPA: Ubuntu Mozilla Security 0.38.0-0ubuntu1~16.04.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.31.0-3ubuntu1~16.04.1 2018-12-11 23:07:25 UTC

  cargo (0.31.0-3ubuntu1~16.04.1) xenial; urgency=medium

  * Backport 0.31.0 to xenial
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - add debian/patches/do-not-use-system-libgit2.patch
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source
  * Hack the libgit2-sys build process to link the bundled libgit2
    against the system's libhttp_parser.
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/patches/series
  * Drop ssh_key_from_memory from the git2 default features, as that results
    in the libgit2 build depending on a version of libssh2 that is too recent
    - add debian/patches/git2-no-ssh_key_from_memory.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <email address hidden> Tue, 13 Nov 2018 22:00:07 +1300

Source diff to previous version

Version: 0.29.0-1ubuntu1~16.04.1 2018-10-24 16:07:13 UTC

  cargo (0.29.0-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport 0.29.0 to xenial
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source
  * Drop ssh_key_from_memory from the git2 default features, as that results
    in the libgit2 build depending on a version of libssh2 that is too recent
    - add debian/patches/git2-no-ssh_key_from_memory.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Thu, 16 Aug 2018 08:49:21 +0100

Source diff to previous version

Version: 0.26.0-0ubuntu2~16.04.1 2018-07-05 17:07:28 UTC

  cargo (0.26.0-0ubuntu2~16.04.1) xenial; urgency=medium

  * Backport 0.26.0 to xenial

  * Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
    than that found in Ubuntu. Do this in debian/ rather than just not
    omitting it from the tarball so that we can share Debian's tarball
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <email address hidden> Tue, 24 Apr 2018 16:27:31 +0100

Source diff to previous version

Version: 0.25.0-1ubuntu1~16.04.1 2018-05-11 02:08:01 UTC

  cargo (0.25.0-1ubuntu1~16.04.1) xenial; urgency=medium

  [ Rico Tzschichholz ]
  * Backport 0.25.0 to xenial

  * Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
    than that found in Ubuntu. Do this in debian/ rather than just not
    omitting it from the tarball so that we can share Debian's tarball
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <email address hidden> Mon, 19 Mar 2018 18:30:28 +0000

Source diff to previous version

Version: 0.23.0-0ubuntu0.16.04.1 2018-03-14 19:07:02 UTC

  cargo (0.23.0-0ubuntu0.16.04.1) xenial; urgency=medium

  * Update to 0.23.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_fix_spelling_errors.patch
    - update debian/patches/series
  * Don't strip libgit2 from the tarball
    - update debian/vendor-tarball-filter.txt
    - remove debian/libgit2
    - update debian/rules
    - update debian/copyright
  * Don't depend on mdbook when generating the documentation, as nothing in
    the archive provides it and it isn't needed
    - add debian/patches/dont-depend-on-mdbook.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Thu, 30 Nov 2017 17:59:31 +0000




About   -   Send Feedback to @ubuntu_updates